
Foreman - Bug #25548

Unable to search host in host search box page

11/26/2018 10:42 AM - Shimon Shtein

Status: Closed   

Priority: Normal   

Assignee: Ron Lavi   

Category: Search   

Target version: 1.20.1   

Difficulty:  Fixed in Releases: 1.20.1, 1.21.0

Triaged: No Found in Releases:  

Bugzilla link: 1652557 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6279

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1652557

Description of problem:

Unable to search host in search box for all host

Version-Release number of selected component (if applicable):

satellite 6.5 snap 4

How reproducible: Always

Steps to Reproduce:

1. Go on all hosts page

2. click on search box and type to search

Actual results:

As soon as we try to search, search box is gets disappear with error on browser console.

Expected results:

User should able to search from available hosts.

Additional info:

react-dom.production.min.js:171 b {name: "MyError", message: "The push method cannot be invoked on an Immutable data

structure.", stack: "Error↵    at new b (

https://sgi-uv20-01.rhts.eng.b…webpack/vendor-b5c469cb04023d778c20.js:175:79099)"}message: "The push method cannot be

invoked on an Immutable data structure."name: "MyError"stack: "Error↵    at new b (

https://sat-host/webpack/vendor-b5c469cb04023d778c20.js:204:4416)↵    at Array.<anonymous> (

https://sat-host/webpack/vendor-b5c469cb04023d778c20.js:204:3497)↵    at n.value (

https://sat-host/webpack/vendor-b5c469cb04023d778c20.js:167:92240)↵    at Ya (

https://sat-host/webpack/vendor-b5c469cb04023d778c20.js:175:57927)↵    at Xa (

https://sat-host/webpack/vendor-b5c469cb04023d778c20.js:175:57769)↵    at eo (

https://sat-host/webpack/vendor-b5c469cb04023d778c20.js:175:60395)↵    at Oo (

https://sat-host/webpack/vendor-b5c469cb04023d778c20.js:175:74431)↵    at Po (

https://sat-host/webpack/vendor-b5c469cb04023d778c20.js:175:74777)↵    at di (

https://sat-host/webpack/vendor-b5c469cb04023d778c20.js:175:79445)↵    at ui (

https://sat-host/webpack/vendor-b5c469cb04023d778c20.js:175:79099)"__proto__: Error

at e (https://sat-host/webpack/vendor-b5c469cb04023d778c20.js:204:4818)

at https://sat-host/webpack/vendor-b5c469cb04023d778c20.js:204:10644

at Object.node_modules/seamless-immutable/seamless-immutable.development.js (

https://sat-host/webpack/vendor-b5c469cb04023d778c20.js:204:10710)

at a (https://sat-host/webpack/vendor-b5c469cb04023d778c20.js:1:410)

at Object.0 (https://sat-host/webpack/vendor-b5c469cb04023d778c20.js:1:1629)

at a (https://sat-host/webpack/vendor-b5c469cb04023d778c20.js:1:410)

at https://sat-host/webpack/vendor-b5c469cb04023d778c20.js:1:803
at https://sat-host/webpack/vendor-b5c469cb04023d778c20.js:1:812

oo  react-dom.production.min.js:171

n.callback  react-dom.production.min.js:179

Associated revisions

Revision d32b3c92 - 12/04/2018 02:48 PM - Ron Lavi

Fixes #25548 - SearchBar bug on hosts page

History

#1 - 11/26/2018 10:49 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/6279 added

#2 - 11/29/2018 04:33 PM - The Foreman Bot

- Status changed from New to Ready For Testing

#3 - 12/03/2018 03:44 PM - Walden Raines

- Subject changed from Unable to search host in host search box page

 to Unable to search host in host search box page

- Assignee set to Ron Lavi

#4 - 12/04/2018 02:48 PM - Marek Hulán

- Fixed in Releases 1.21.0 added

#5 - 12/04/2018 03:01 PM - Ron Lavi

- Status changed from Ready For Testing to Closed

Applied in changeset d32b3c928fd60fe76ae7e21cb9d090387cb2ce60.

#6 - 12/05/2018 02:06 PM - Tomer Brisker

- Target version set to 1.20.1

#7 - 12/05/2018 03:17 PM - Tomer Brisker

- Fixed in Releases 1.20.1 added
